Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions.soap
Class WsdlTransformer

    java.lang.Object
      org.jboss.soa.esb.actions.soap.WsdlTransformer

All Implemented Interfaces:
  org.milyn.delivery.ContentHandler, org.milyn.delivery.dom.DOMElementVisitor, org.milyn.delivery.dom.DOMVisitAfter, org.milyn.delivery.dom.DOMVisitBefore, org.milyn.delivery.dom.DOMVisitor, org.milyn.delivery.Visitor

    public class WsdlTransformer

extends java.lang.Object
implements org.milyn.delivery.dom.DOMElementVisitor

Smooks transformer for transforming the WSDL for ESB endpoints.

Author:
  tom.fennelly@jboss.com

Field Summary
`static java.lang.String` | `ENDPOINT_URI`
`static java.lang.String` | `TARGET_CAT`
`static java.lang.String` | `TARGET_NAME`
`static java.lang.String` | `TARGET_PROTOCOL`

Constructor Summary
`WsdlTransformer()`

Method Summary
`void` | `setConfiguration(org.milyn.cdr.SmooksResourceConfiguration smooksResourceConfiguration)`
`void` | `visitAfter(org.w3c.dom.Element element, org.milyn.container.ExecutionContext executionContext)`
`void` | `visitBefore(org.w3c.dom.Element element, org.milyn.container.ExecutionContext executionContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENDPOINT_URI

    public static final java.lang.String ENDPOINT_URI

See Also:
  Constant Field Values

### TARGET_CAT

    public static final java.lang.String TARGET_CAT

See Also:
  Constant Field Values

### TARGET_NAME

    public static final java.lang.String TARGET_NAME

See Also:
  Constant Field Values

### TARGET_PROTOCOL

    public static final java.lang.String TARGET_PROTOCOL

See Also:
  Constant Field Values

Constructor Detail

### WsdlTransformer

    public WsdlTransformer()

Method Detail

### setConfiguration

    public void setConfiguration(org.milyn.cdr.SmooksResourceConfiguration smooksResourceConfiguration)
                          throws org.milyn.cdr.SmooksConfigurationException

  Throws:
    `org.milyn.cdr.SmooksConfigurationException`

### visitBefore

    public void visitBefore(org.w3c.dom.Element element,
                            org.milyn.container.ExecutionContext executionContext)
                     throws org.milyn.SmooksException

  Specified by:
    `visitBefore` in interface `org.milyn.delivery.dom.DOMVisitBefore`
  Throws:
    `org.milyn.SmooksException`

### visitAfter

    public void visitAfter(org.w3c.dom.Element element,
                           org.milyn.container.ExecutionContext executionContext)
                    throws org.milyn.SmooksException

  Specified by:
    `visitAfter` in interface `org.milyn.delivery.dom.DOMVisitAfter`
  Throws:
    `org.milyn.SmooksException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD